ALSACTL(1)

NAME
alsactl - advanced controls for ALSA soundcard driver

SYNOPSIS
alsactl [options] [store|restore|init] <card # or id or device>

DESCRIPTION
alsactl is used to control advanced settings for the ALSA soundcard drivers. It supports multiple soundcards. If your card has features that you can't seem to control from a mixer application, you have come to the right place.

COMMANDS
store saves the current driver state for the selected soundcard to the configuration file. restore loads driver state for the selected soundcard from the configuration file. If restoring fails (eventually partly), the init action is called. init tries to initialize all devices to a default state. If device is not known, error code 99 is returned. If no soundcards are specified, setup for all cards will be saved or loaded.

OPTIONS

-h, --help
    Help: show available flags and commands.

-d, --debug
    Use debug mode: a bit more verbose.

-v, --version
    Print alsactl version number.

-f, --file
    Select the configuration file to use. The default is /etc/asound.state.

-F, --force
    Used with restore command. Try to restore the matching control elements as much as possible. This option is set as default now.

-g, --ignore
    Used with store and restore commands. Do not show 'No soundcards found' and do not set an error exit code when soundcards are not installed.

-P, --pedantic
    Used with restore command. Don't restore mismatching control elements. This option was the old default behavior.

-r, --runstate
    Save restore and init state to this file. The file will contain only errors. Errors are appended with the soundcard id to the end of file.

-R, --remove
    Remove runstate file at first.

-E, --env #=#
    Set environment variable (useful for init action or you may override ALSA_CONFIG_PATH to read different or optimized configuration - may be useful for "boot" scripts).

-i, --initfile #=#
    The configuration file for init. By default, PREFIX/share/alsa/init/00main is used.

FILES
/etc/asound.state (or whatever file you specify with the -f flag) is used to store current settings for your soundcards. The settings include all the usual soundcard mixer settings. More importantly, alsactl is capable of controlling other card-specific features that mixer apps usually don't know about. The configuration file is generated automatically by running alsactl store. Editing the configuration file by hand may be necessary for some soundcard features (e.g. enabling/disabling automatic mic gain, digital output, joystick/game ports, some future MIDI routing options, etc).

SEE ALSO
amixer(1), alsamixer(1), aplay(1)

BUGS
None known.

AUTHOR
alsactl is by Jaroslav Kysela <perex@perex.cz> and Abramo Bagnara <abramo@alsa-project.org>. This document is by Paul Winkler <zarmzarm@erols.com>.